DKBSignDocs

API reference

POSTRequires Bearer token

Post workflows new process file annex

/api/workflows/{workflow}/{instance}/new/process/file/annex

Submit /api/workflows/{workflow}/{instance}/new/process/file/annex. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
workflow
Required
stringPath parameter workflow.
instance
Required
stringPath parameter instance.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Binary file stream
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/workflow/instance/new/process/file/annex' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "content_type": "application/pdf",
  "note": "The HTTP body is the PDF bytes, not JSON."
}